Page MenuHomeFreeBSD

iflib: make a required kernel component for drivers using it
Needs ReviewPublic

Authored by imp on Mon, Apr 19, 9:21 PM.

Details

Summary

iflib-using drivers require iflib is included in any kernels they are
part of. Note this requirement on the first file for each of the
affected drivers. Bump all the Makefiles since this construct is in
conf/sys/files and thus they all require config version 600019 to work
right.

MFC After: 1 week
Sponsored by: Netflix

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 38701
Build 35590: arc lint + arc unit